Package org.eclipse.cdt.core

# Interface IPositionTrackerManager

public interface IPositionTrackerManager
An interface to manage the position tracking. It allows for mapping character offsets from a file previously stored on disk to the offset in the current document for the file.

Since:
  4.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`IPositionConverter`
`findPositionConverter(URI externalLocation, long timestamp)`
Returns the position tracker suitable for mapping character offsets of the given external file/timestamp to the current version of it.
`IPositionConverter`
`findPositionConverter(ITranslationUnit tu, long timestamp)`
Returns the position converter suitable for mapping character offsets of the given translation unit to the current version of it.
`IPositionConverter`
`findPositionConverter(org.eclipse.core.resources.IFile file, long timestamp)`
Returns the position converter suitable for mapping character offsets of the given file/timestamp to the current version of it.
`IPositionConverter`
`findPositionConverter(org.eclipse.core.runtime.IPath fullPathOrExternalLocation, long timestamp)`
Returns the position tracker suitable for mapping character offsets of the given external file/timestamp to the current version of it.

## Method Details

### findPositionConverter

IPositionConverter findPositionConverter(ITranslationUnit tu, long timestamp)
Returns the position converter suitable for mapping character offsets of the given translation unit to the current version of it.

Parameters:
  `tu` - a translation unit for which the position adapter is requested.
  `timestamp` - identifies the version of the file stored on disk.
Returns:
  the requested position converter or `null`.

### findPositionConverter

IPositionConverter findPositionConverter(org.eclipse.core.resources.IFile file, long timestamp)
Returns the position converter suitable for mapping character offsets of the given file/timestamp to the current version of it.

Parameters:
  `file` - a file for which the position adapter is requested.
  `timestamp` - identifies the version of the file stored on disk.
Returns:
  the requested position converter or `null`.

### findPositionConverter

IPositionConverter findPositionConverter(org.eclipse.core.runtime.IPath fullPathOrExternalLocation, long timestamp)
Returns the position tracker suitable for mapping character offsets of the given external file/timestamp to the current version of it.

The method can be used for resources by supplying the full path. However, it does not work if you supply the location of a resource.

Parameters:
  `fullPathOrExternalLocation` - an external location for which the position adapter is requested.
  `timestamp` - identifies the version of the file stored on disk.
Returns:
  the requested position converter or `null`.

### findPositionConverter

IPositionConverter findPositionConverter(URI externalLocation, long timestamp)
Returns the position tracker suitable for mapping character offsets of the given external file/timestamp to the current version of it.

The method cannot be used for resources that are part of the workspace.

Parameters:
  `externalLocation` - an external location for which the position adapter is requested.
  `timestamp` - identifies the version of the file stored on disk.
Returns:
  the requested position converter or `null`.
Since:
  5.1